/**
 * SystemFileNode.java
 * @author Takeshi Yamada
 */

import java.io.File;
import java.util.Vector;

public class SystemFileNode extends FileNode {

    private java.io.File file;
    private Vector v = new Vector();

    public SystemFileNode(String name, java.io.File f) {
        super(name);
        file = f;
    }

    public String getName() {
        return file.getName();
    }

    public void setName(String name) {
    }

    public long getSize() {
        return file.length();
    }

    public void addChild(FileNode fileNode) {
        v.add(fileNode);
    }

    public void addChild(int index, FileNode fileNode) {
        v.add(index, fileNode);
    }
    
    public void removeChild(FileNode fileNode) {
        v.remove(fileNode);
    }

    public FileNode getChild(int index) {
        return (FileNode)v.get(index);
    }

    public int getIndexOfChild(FileNode child) {
        return v.indexOf(child);
    }

    public int getChildCount() {
        return v.size();
    }

    public String toString() {
        return getName();
    }
    
    public boolean isLeaf() {
        return file.isFile();
    }

    public FileNode copy() {
        return new FileNode(name);
    }

} // SystemFileNode





